package com.kingdee.eas.custom.dormitorysystem.application.handler;

import com.kingdee.bos.Context;
import com.kingdee.eas.base.permission.UserInfo;
import com.kingdee.eas.basedata.person.PersonInfo;
import com.kingdee.eas.custom.dormitorysystem.application.RoomChangeApplicationEntryCollection;
import com.kingdee.eas.custom.dormitorysystem.application.RoomChangeApplicationEntryInfo;
import com.kingdee.eas.custom.dormitorysystem.application.RoomChangeApplicationInfo;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.hr.emp.IPersonPosition;
import com.kingdee.eas.hr.emp.PersonPositionFactory;
import com.kingdee.eas.hr.emp.PersonPositionInfo;
import com.kingdee.eas.util.app.ContextUtil;
import com.kingdee.shr.base.syssetting.context.SHRContext;
import com.kingdee.shr.base.syssetting.exception.SHRWebException;
import com.kingdee.shr.base.syssetting.exception.ShrWebBizException;
import org.apache.log4j.Logger;
import org.springframework.ui.ModelMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;


/**
 * @author qingwu
 * @date 2025/4/27
 * @apiNote ABK_뵥
 */
    public class RoomChangeApplicationEditHandler extends HRBillBaseEditHandler {
    private Logger logger = Logger.getLogger(this.getClass());
    private Context ctx = SHRContext.getInstance().getContext();

    @Override
    protected void afterCreateNewModel(HttpServletRequest request, HttpServletResponse response, CoreBaseInfo coreBaseInfo) throws SHRWebException {
        super.afterInitModel(request, response, coreBaseInfo);
        RoomChangeApplicationInfo roomChangeApplicationInfo = (RoomChangeApplicationInfo) coreBaseInfo;
        try {
            RoomChangeApplicationEntryCollection entrys = roomChangeApplicationInfo.getEntrys();
            RoomChangeApplicationEntryInfo roomChangeApplicationEntryInfo = new RoomChangeApplicationEntryInfo();
            //managementNotes  ˵
            StringBuilder managementNotes = new StringBuilder();
            managementNotes.append("Ը").append("\n");
            managementNotes.append("1Ծع˾ƶȡԱйع취˽Եʹλ").append("\n");
            managementNotes.append("2Ծάṫ𻵹Ծ⳥").append("\n");
            managementNotes.append("3ԾȫԼõˮ").append("\n");
            roomChangeApplicationInfo.setManagementNotes(managementNotes.toString());
            entrys.add(roomChangeApplicationEntryInfo);
        } catch (Exception e) {
            e.printStackTrace();
            throw new ShrWebBizException(e);
        }
    }


}
